Page MenuHomePhabricator

Specify license of mediawiki/Wikibase/WikibaseLexeme ontology
Closed, ResolvedPublic

Description

mediawiki/Wikibase/WikibaseLexeme ontology.owl does not specify any licensing information, but it should. As noted on https://www.w3.org/2015/spatial/wiki/Ontology_rights_and_licence:

ontologies are protected by copyright; and no practical use can be made of them unless a license permits doing so. Hence, this piece of information is necessary.

See https://www.w3.org/2015/spatial/wiki/Ontology_rights_and_licence and https://creativecommons.org/ns on how to do this.

Event Timeline

abian created this task.Feb 22 2019, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2019, 5:31 PM
abian renamed this task from Specify license of Wikibase's ontology to Specify license of Wikibase ontology.Feb 22 2019, 5:56 PM
abian updated the task description. (Show Details)

Any reason not to make this CC-0?

CC0 seems to be fine. Using the same license as for the rest seems to be the easiest choice for everybody.

Greta_Doci_WMDE renamed this task from Specify license of Wikibase ontology to Specify license of mediawiki/Wikibase/WikibaseLexeme ontology.Mar 4 2019, 1:30 PM
Greta_Doci_WMDE updated the task description. (Show Details)

Change 494239 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/core@master] Specify licence of mediawiki ontology.owl

https://gerrit.wikimedia.org/r/494239

Change 494244 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/Wikibase@master] Specify licence of Wikibase ontology.owl

https://gerrit.wikimedia.org/r/494244

Change 494247 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/WikibaseLexeme@master] Specify licence of WikibaseLexeme ontology.owl

https://gerrit.wikimedia.org/r/494247

Any of the patches require a +1 from all of people who contributed to the files otherwise will be legally in trouble (we can't just change license of a file)

Any of the patches require a +1 from all of people who contributed to the files otherwise will be legally in trouble (we can't just change license of a file)

Note quite. It requires a +1 from a legal representative of the copyright holder. The copyright to any code you write as part of your job for WMDE or WMF is owned by WMDE or WMF respectively, so they can change the license. Volunteer contributors do have to agree individually, of course.

It seems that it is only you @Tpt who has ever contributed to one of these files and who isn't an employee. So as @Ladsgroup pointed out in a comment above, I'll gladly ask for your permission to the license change to that file you have once added :)

Tpt added a comment.Mar 5 2019, 6:02 PM

@alaa_wmde Thanks! It's fine for me

@Tpt thanks so much! I'll go ahead and merge then.

Change 494244 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Specify licence of Wikibase ontology.owl

https://gerrit.wikimedia.org/r/494244

Change 494247 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Specify licence of WikibaseLexeme ontology.owl

https://gerrit.wikimedia.org/r/494247

Change 494239 merged by jenkins-bot:
[mediawiki/core@master] Specify licence of mediawiki ontology.owl

https://gerrit.wikimedia.org/r/494239

http://wikiba.se/ontology# still does not have the license information, is this expected?

http://wikiba.se/ontology# still does not have the license information, is this expected?

I think it's not deployed yet. Let me see if I can do something about it.

abian added a comment.Apr 16 2019, 9:26 AM

My bad.

Not at all, :-) there are too many .owl files that you guys must update by hand each time, that's not a good thing...

daniel removed a subscriber: daniel.Apr 16 2019, 9:27 AM

Change 505774 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[wikibase/wikiba.se@master] Specify licence of wikiba.se ontology.owl

https://gerrit.wikimedia.org/r/505774

Change 505774 merged by jenkins-bot:
[wikibase/wikiba.se@master] Specify licence of wikiba.se ontology.owl

https://gerrit.wikimedia.org/r/505774

Change 506101 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[wikibase/wikiba.se-deploy@master] Update from the main repo

https://gerrit.wikimedia.org/r/506101

Change 506101 merged by Ladsgroup:
[wikibase/wikiba.se-deploy@master] Update from the main repo

https://gerrit.wikimedia.org/r/506101

If the “how to deploy wikiba.se” documentation is still accurate, I guess we need to update the wikiba.se-deploy repository as well.

This will be live in half an hour (if we hit WMF backend and not the other place)

Sadly I still cannot see license information in what http://wikiba.se/ontology-1.0.owl

Sadly I still cannot see license information in what http://wikiba.se/ontology-1.0.owl

Unfortunately, we still need to deploy it to our own old system (using ftp) I have no idea who has access and where's the documentation for that. The moving to the new thing is blocked on domain transfer (More info: T99531: [Task] move wikiba.se webhosting to wikimedia cluster)

WMDE-leszek removed Greta_Doci_WMDE as the assignee of this task.Thu, May 9, 11:54 AM
WMDE-leszek added a subscriber: Greta_Doci_WMDE.

Okay, so updating the site is remaining here.